# [highcharter](http://jkunst.com/highcharter/)

[![Project Status: Active - The project has reached a stable, usable state and is being actively developed.](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![travis-status](https://api.travis-ci.org/jbkunst/highcharter.svg)](https://travis-ci.org/jbkunst/highcharter)
[![CRAN_Status_Badge](http://www.r-pkg.org/badges/version/highcharter)](https://cran.r-project.org/package=highcharter)
[![downloads](http://cranlogs.r-pkg.org/badges/highcharter)](http://www.r-pkg.org/pkg/highcharter)

R wrapper for highcharts. `highcharter` bring all the highcharts capabilites
so it is recommended know how highcharts API works to take a major advantage of 
this package. You can look  some [demos](http://www.highcharts.com/demo) charts
and explore chart types, syntax and all what highcharts can do.

## Why highcharter?

- [Various](http://jkunst.com/highcharter/) chart type with the same style: 
scatters, bubble, line, time series, heatmaps, treemap, bar charts, networks.
- Chart various R object with [one function](http://jkunst.com/highcharter/hchart.html). 
With `hchart(x)` you can chart: data.frames, numeric, histogram, character, 
density, factors, ts, mts, xts, stl, ohlc, acf, forecast, mforecast, ets, 
igraph, dist, dendrogram, phylo, survfit classes.
- Support [Highstock charts](http://jkunst.com/highcharter/highstock.html). You can create a candlestick charts in 2 lines of code. Support `xts` objects from the quantmod package.
- Support [Highmaps charts](http://jkunst.com/highcharter/highmaps.html). It's easy to create choropleths or add information in geojson format.
- [Piping styling](http://jkunst.com/highcharter/).
- [Themes](http://jkunst.com/highcharter/themes.html): you configurate your 
chart in multiples ways. There are implemented themes like economist, financial 
times, google, 538 among others.
- [Plugins](http://jkunst.com/highcharter/plugins.html): motion, drag points, 
fontawesome, url-pattern, annotations.
- <3 to Highcharts.com

## Resources

- Official package website: http://jkunst.com/highcharter/.
- Replicating Highcharts Demos: https://cran.rstudio.com/web/packages/highcharter/vignettes/replicating-highcharts-demos.html
- CRAN site https://cran.r-project.org/web/packages/highcharter/.
- Shiny demo code https://github.com/jbkunst/shiny-apps/tree/master/highcharter.

## Licence 

The libraries are available under different licenses depending on whether it is 
intended for commercial/government use, or for a personal or non-profit project.

**Highcharts (http://highcharts.com) is a Highsoft product which is not free for commercial and Governmental use.**

## Code of Conduct

Please note that this project is released with a [Contributor Code of Conduct](CONDUCT.md). By participating in this project you agree to abide by its terms.

